RuleType (Apache Commons Codec 1.22.1 API)
Description: declaration: package: org.apache.commons.codec.language.bm, enum: RuleType

Package org.apache.commons.codec.language.bm

# Enum RuleType

java.lang.Object
java.lang.Enum<RuleType>
org.apache.commons.codec.language.bm.RuleType

All Implemented Interfaces:
  `Serializable`, `Comparable<RuleType>`

public enum RuleType extends Enum<RuleType>
Enumerates the types of rule.

Since:
  1.6

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPROX`
  Approximate rules, which will lead to the largest number of phonetic interpretations.
  `EXACT`
  Exact rules, which will lead to a minimum number of phonetic interpretations.
  `RULES`
  For internal use only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the rule name.
  `static RuleType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RuleType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### APPROX

    public static final RuleType APPROX
    Approximate rules, which will lead to the largest number of phonetic interpretations.

  - ### EXACT

    public static final RuleType EXACT
    Exact rules, which will lead to a minimum number of phonetic interpretations.

  - ### RULES

    public static final RuleType RULES
    For internal use only. Please use `APPROX` or `EXACT`.

- ## Method Details

  - ### values

    public static RuleType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RuleType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Gets the rule name.
    Returns:
      The rule name.